# ComponentMetadataSupplierDetails

interface ComponentMetadataSupplierDetails

A component metadata rule details, giving access to the identifier of the component being resolved, the metadata builder, and the repository resource accessor for this.

#### Since

4.0

## Functions

getId
Link copied to clipboard
abstract fun getId(): ModuleComponentIdentifier
Returns the identifier of the component being resolved
getResult
Link copied to clipboard
abstract fun getResult(): ComponentMetadataBuilder
Returns the metadata builder, that users can use to feed metadata for the component.